package integrationtest;

import org.junit.*;
import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.*;

public class HtmlUnitTest
{
   @Test
   public void test() throws Exception
   {
      String port = System.getProperty( "port" );
      test( port, "1", "2", "3.0" );
   }

   public String test( String port, String wert1, String wert2, String ergebnis ) throws Exception
   {
      WebClient webClient = new WebClient();
      HtmlPage  page = (HtmlPage) webClient.getPage( "http://localhost:" + port + "/MvnHtmlIntTest/" );
      Assert.assertEquals( "Titel: ", "Startseite", page.getTitleText() );
      page = (HtmlPage) page.getAnchorByName( "BerechnungsFormular" ).click();
      Assert.assertEquals( "Titel: ", "Webseite mit Berechnungsformular", page.getTitleText() );
      HtmlForm form = page.getFormByName( "meinFormular" );
      form.getInputByName( "wert1" ).setValueAttribute( wert1 );
      form.getInputByName( "wert2" ).setValueAttribute( wert2 );
      page = (HtmlPage) form.getInputByName( "berechne" ).click();
      String e = page.getFormByName( "meinFormular" ).getInputByName( "ergebnis" ).getValueAttribute();
      if( ergebnis != null ) { Assert.assertEquals( "Ergebnis: ", ergebnis, e ); }
      return e;
   }
}
